options noxwait noxsync;

x ' "C:\Program Files (x86)\Microsoft Office\Office14\EXCEL.exe" ';

data _null_;
z=sleep(3); /* wait 3 seconds for Excel to start */
run;

  /* Above code opens a new workbook,
     with one empty worksheet: Sheet1. */

filename target dde 'excel|Sheet1!R1C1:R999C7' notab;

data _null_;
set sashelp.shoes;
file target;
if _N_ EQ 1 then do;
  put 'Region'     '09'X
      'Subsidiary' '09'X
      'Product'    '09'X
      'Stores'     '09'X
	  'Sales'      '09'X
      'Inventory'  '09'X
      'Returns';
end;
put Region     '09'X
    Subsidiary '09'X
    Product    '09'X
    Stores     '09'X
	Sales      '09'X
    Inventory  '09'X
    Returns;
 /* '09'X is a delimiter that tells Excel
    to step to the next cell in the current worksheet row
    before inserting next value from the current SAS observation */
run;

filename DDEcmds dde "excel|system"; /* channel to send commands to Excel from SAS */

data _null_;
file DDEcmds;
put '[select("C1:C7")]';
put '[font.properties("Arial",,16,,,,,,,1)]'; /* Columns 1-7 Arial 16pt Black */
put '[select("R1")]';
put '[font.properties(,"Bold")]'; /* Row 1 Bold */
run;

data _null_;
file DDEcmds;
put '[select("C1:C4")]'; /* only contiguous groups of columns can be used with filters */
put '[Filter()]';
run;

data _null_;
file DDEcmds;
put '[freeze.panes(true,3,1)]'; /* between ,, if not 0, put the number of rightmost frozen column
                                     after ,, if not 0, put the number of bottommost frozen row */
run;

data _null_;
file DDEcmds;
put '[select("C1:C6")]';
put '[column.width(,,,3)]'; /* commas required */
                   /* 3 = AutoFit */
run;

data _null_;
file DDEcmds;
put '[zoom(70)]';
put '[message(true,
      "This sheet is reduced to 70% of normal size")]';
run;

data _null_;
file DDEcmds;
put '[select("R1")]';
put '[insert()]';
put '[insert()]';
put '[insert()]';
put '[insert()]';
run;

data _null_;
file DDEcmds;
put '[select("R1")]';
put '[font.properties(,"Bold",,,,,,,,5)]'; /* Row 1 Bold Blue */
put '[select("R2")]';
put '[font.properties(,"Bold",,,,,,,,3)]'; /* Row 2 Bold Red */
put '[select("R3")]';
put '[font.properties(,,,,,,,,,5)]'; /* Row 3 Normal Blue */
put '[select("R4")]';
put '[font.properties(,,,,,,,,,1)]'; /* Row 4 Normal Black */
run;

filename titles dde 'excel|Sheet1!R1:R4' notab;

data _null_;
file titles;
put 'Listing of SASHELP.SHOES using Dynamic Data Exchange (DDE) with Zoom at 70%';
put 'To visit the Wisconsin Illinois SAS Users Home Page, Use the Link Below.';
put 'http://www.wiilsu.org';
put 'The only disadvantage of this solution is that the link is not automatically clickable.';
run;

data _null_;
file DDEcmds;
put '[select("R1")]'; /* Move focus from Row 4 after title fill step above */
run;

 /* Finished Workbook Save As */
data _null_;
file DDEcmds;
put '[error(false)]'; /* suppress any prompt questions */
put '[save.as("D:\! SAS_to_Excel_4Nov2013\DDE\spreadsheets\DDE_Customized_WorkSheet_Of_SASHELPdotSHOES.xls")]';
x=sleep(3);
run;

 /* Exiting Excel from SAS */
data _null_;
file DDEcmds;
put '[error(false)]'; /* suppress any prompt questions */
put '[quit()]'; /* the parenthesis is empty */
run;
