
******************************************************************;
* Module: XLAlignment.sas                                        *;
* Type: SAS macro                                                *;
* Function: Align & Orient cell contents in Excel worksheet      *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLAlignment(Horizontal=General,
                   WrapText=No,
                   Vertical=Bottom,
                   Orientation=Horizontal);

%let Orientation = %upcase(&Orientation);
%let WrapText    = %upcase(&WrapText);
%let Horizontal  = %upcase(&Horizontal);
%let Vertical    = %upcase(&Vertical);

%if &Orientation eq HORIZONTAL
%then %let orient = 0;
%else
%if &Orientation eq VERTICAL
%then %let orient = 1;
%else
%if &Orientation eq UPWARD
%then %let orient = 2;
%else
%if &Orientation eq DOWNWARD
%then %let orient = 3;
%else %let orient = 0;

%if (&WrapText eq YES)
%then %let wrap = TRUE;
%else %let wrap = FALSE;

%if &Horizontal eq GENERAL
%then %let horiz_align = 1;
%else
%if &Horizontal eq LEFT
%then %let horiz_align = 2;
%else
%if &Horizontal eq CENTER
%then %let horiz_align = 3;
%else
%if &Horizontal eq RIGHT
%then %let horiz_align = 4;
%else
%if (&wrap eq TRUE)
  and
    (&Horizontal eq JUSTIFY)
%then %let horiz_align = 6;
%else %let horiz_align = %str();

%if &Vertical eq TOP
%then %let vert_align = 1;
%else
%if &Vertical eq CENTER
%then %let vert_align = 2;
%else
%if &Vertical eq BOTTOM
%then %let vert_align = 3;
%else
%if (&wrap eq TRUE)
  and
    (&Vertical eq JUSTIFY)
%then %let vert_align = 4;
%else %let vert_align = %str();

data _null_;
file &DDEfileref;
put %unquote(%str(
    %'[alignment(&horiz_align,&wrap,&vert_align,&orient)]%')); 
run;

%mend  XLAlignment;