
******************************************************************;
* Module: XLClose.sas                                            *;
* Type: SAS macro                                                *;
* Function: Close an Excel Workbook, optionally Without Save     *;
*           Default is Save                                      *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLClose(Save=Yes);

%if %upcase(&Save) eq YES
%then %let SaveOrNoSave = TRUE;
%else %let SaveOrNoSave = FALSE;

data _null_;
file &DDEfileref;
put %unquote(%str(%'[close(&SaveOrNoSave)]%'));
x=sleep(1); * wait for file to close *;
run;

%mend XLClose;