
******************************************************************;
* Module: XLColorCodeCellsInColumn.sas                           *;
* Type: SAS macro                                                *;
* Function: Color Code Cells In an Excel worksheet column        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;
* Note: If using a dark background color,                        *;
*       use a light foreground color for readability.            *;
*       Foreground color is the text/data color.                 *;
******************************************************************;

%macro XLColorCodeCellsInColumn(
                  Column=,StartRow=2,
                  ColorCodeSymVarPrefix=,
                  ColorCodeCount=,
                  GoodXLBackgroundColorNumber=,
                  BadXLBackgroundColorNumber=,
                  GoodXLForegroundColorNumber=1, /* Black */
                  BadXLForegroundColorNumber=1); /* Black */

%let Row = &StartRow;

%do i = 1 %to &ColorCodeCount;

%if &&&ColorCodeSymVarPrefix&i eq Good
%then %do;
  %let XLBackgroundColorNumber = &GoodXLBackgroundColorNumber;
  %let XLForegroundColorNumber = &GoodXLForegroundColorNumber;
%end;
%else %do;
  %let XLBackgroundColorNumber =  &BadXLBackgroundColorNumber;
  %let XLForegroundColorNumber =  &BadXLForegroundColorNumber; 
%end;

%XLSelect(Row=&Row,Column=&Column);

%XLBackgroundColor(Color=&XLBackgroundColorNumber);

%XLFont(FontColorNumber0To56=&XLForegroundColorNumber);

%let Row = %eval(&Row + 1);

%end;

%mend  XLColorCodeCellsInColumn;