
******************************************************************;
* Module: XLColorCustomizeTextCellByCell.sas                     *;
* Type: SAS macro                                                *;
* Function: Read an input file to determine,                     *;
*           and color text in a worksheet,                       *;
*           cell by cell, black or white                         *;
*           depending on instructions in the control file        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLColorCustomizeTextCellByCell(
              Data=,
              ColorVar=,
              FirstRow=,LastRow=,
              FirstColumn=,LastColumn=);

data _null_;
set &Data;
call symput('TextXLColorNumber'||trim(left(_N_)),&ColorVar);
run;

%let i = 0;
%do r = &FirstRow %to &LastRow;
  %do c = &FirstColumn %to &LastColumn;
    %let i = %eval(&i + 1);
    %XLSelect(Row=&r,Column=&c);
    %XLFont(FontColorNumber0To56=&&TextXLColorNumber&i);
  %end;
%end;

%mend  XLColorCustomizeTextCellByCell;