
******************************************************************;
* Module: XLCustomizeAll56ExcelColors.sas                        *;
* Type: SAS macro                                                *;
* Function: Read an input file to determine                      *;
*           mixtures of Red, Green, and Blue                     *;
*           for a custom Excel color palette.                    *;
* NOTE: The color palette gets stored with the currently         *;
*       active workbook.                                         *;
*       Use %XLColorsResetToDefaults to undo the customization,  *;
*       Or manually click Tools -> Options -> Color -> Reset     *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLCustomizeAll56ExcelColors(
              Data=,ColorNumberVar=,
              RedVar=,GreenVar=,BlueVar=);

data _null_;
set &Data;
call symput('RedAmount'  ||trim(left(&ColorNumberVar)),&RedVar  );
call symput('GreenAmount'||trim(left(&ColorNumberVar)),&GreenVar);
call symput('BlueAmount' ||trim(left(&ColorNumberVar)),&BlueVar );
run;

%do i = 1 %to 56;

%XLColorPaletteCustomize(XLColor1to56=&i,
                         Red0to255=&&RedAmount&i,
                         Green0to255=&&GreenAmount&i,
                         Blue0to255=&&BlueAmount&i);

%end;

%mend  XLCustomizeAll56ExcelColors;
