
******************************************************************;
* Module: XLDDEcmdsFileName.sas                                  *;
* Type: SAS macro                                                *;
* Function:                                                      *;
* Generate the FILENAME statement needed by SAS                  *;
* to use DDE (Dynamic Data Exchange)                             *;
* to control Excel by putting commands to FILE &fileref          *;
* Establish the FILEREF as a global macro variable               *;
* to be referenced by all later needed uses of the FILEREF.      *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLDDEcmdsFileName
       (fileref=DDEcmds); * you can override this default fileref
                            when invoking the macro *;          
%global DDEfileref;
%let DDEfileref = &fileref; 
filename &fileref
         dde "excel|system"; /* this part is mandatory */

%mend  XLDDEcmdsFileName;