
******************************************************************;
* Module: XLDeleteSomeColumnCells.sas                            *;
* Type: SAS macro                                                *;
* Function: Delete Column Cells in Excel worksheet               *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;
* NOTE: If TopRow is 1 and BottomRow extends to or beyond        *;
*       last cell of data in the column,                         *;
*       the entire column is deleted.                            *;
*       If not, the cells in columns to the right of the cells   *;
*       selected in this column are shifted left,                *;
*       but remaining cells in other rows in those columns       *;
*       remain where they were.                                  *;
******************************************************************;

%macro XLDeleteSomeColumnCells(Column=,TopRow=1,BottomRow=65536);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[select("R&TopRow.C&Column.:R&BottomRow.C&Column")]%'));
put '[edit.delete(1)]'; 
run;

%mend  XLDeleteSomeColumnCells;