
******************************************************************;
* Module: XLDeleteSomeRowCells.sas                               *;
* Type: SAS macro                                                *;
* Function: Delete Row Cells in Excel worksheet                  *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;
* NOTE: If LeftColumn is 1 and RightColumn extends to or beyond  *;
*       last cell of data in the row,                            *;
*       the entire row is deleted.                               *;
*       If not, the cells in rows to below the cells             *;
*       selected in this row are shifted up,                     *;
*       but remaining cells in other columns in those rows       *;
*       remain where they were.                                  *;
******************************************************************;

%macro XLDeleteSomeRowCells(Row=,LeftColumn=1,RightColumn=256);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[select("R&Row.C&LeftColumn.:R&Row.C&RightColumn")]%'));
put '[edit.delete(2)]'; 
run;

%mend  XLDeleteSomeRowCells;