
******************************************************************;
* Module: XLFileNameDistinctForEachCell.sas                      *;
* Type: SAS macro                                                *;
* Function: Generate FILENAME fileref DDE statements             *;
*           for use when loading an Excel WorkSheet cell by cell *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLFileNameDistinctForEachCell(
                 WorkSheet=,
                 StartRow=,EndRow=,
                 StartColumn=,EndColumn=,
                 CustomCellNamePrefix=);

%let CellNumber = 0;
%do r = &StartRow %to &EndRow %by 1;
  %do c = &StartColumn %to &EndColumn %by 1;
    %let CellNumber = %eval(&CellNumber + 1);
filename
    %if %length(&CustomCellNamePrefix) eq 0
    %then %do;
         Cell&CellNumber
    %end;
    %else %do;
         &CustomCellNamePrefix.&CellNumber
    %end;
         DDE
         "EXCEL|&WorkSheet.!R&r.C&c";
  %end;
%end;

%mend  XLFileNameDistinctForEachCell;