
******************************************************************;
* Module: XLFileNameForMultipleColumns.sas                       *;
* Type: SAS macro                                                *;
* Function: DDE FileName statement for columns in a worksheet    *;
*           in the currently open workbook                       *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLFileNameForMultipleColumns(
                 WorkSheet=,
                 StartRow=,EndRow=65536,
                 StartColumn=1,EndColumn=,
                 CustomVarPrefix=);
%let ColumnNumber = 1;
%do i = &StartColumn %to &EndColumn %by 1;
filename
  %if %length(&CustomVarPrefix) eq 0
  %then %do;
    Col&ColumnNumber
  %end;
  %else %do;
    &CustomVarPrefix.&ColumnNumber
  %end;
    DDE "EXCEL|&WorkSheet.!R&StartRow.C&i.:R&EndRow.C&i." notab;
%let ColumnNumber = %eval(&ColumnNumber + 1);
%end; 
%mend  XLFileNameForMultipleColumns;