
******************************************************************;
* Module: XLFilterArrows.sas                                     *;
* Type: SAS macro                                                *;
* Function: Turn Filter Arrows (aka AutoFilter) ON or OFF        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;
* NOTE: To turn on Filter Arrows for the selected column range,  *;
*       it is also necessary to specify:                         *;
*             the Row to hold the arrows                         *;
*             the End Row of the data to be filtered             *;
******************************************************************;
* NOTE: Running XLFilterArrows a second time turns them OFF.     *;
******************************************************************;

%macro XLFilterArrows(RowWithArrows=1,EndRow=65536,
                      FromColumn=,ToColumn=);
data _null_;
file &DDEfileref;
put
%unquote(%str(%'[select("R&RowWithArrows.C&FromColumn.:R&EndRow.C&ToColumn")]%'));
put '[Filter()]';
run;

%mend XLFilterArrows;