
******************************************************************;
* Module: XLFocus.sas                                            *;
* Type: SAS macro                                                *;
* Function: Select a cell in an Excel worksheet                  *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;
* Why you might use this:                                        *;
* 1. Assure that the workbook opens on this worksheet            *;
*    with the focus where it is wanted.                          *;
*    If not done, focus might be in an undesired location.       *;
* 2. If the last action done to the worksheet                    *;
*    was a Find and Replace,                                     *;
*    the selected cells will be highlighted black                *;
*    upon re-opening the worksheet if XLFocus is not run.        *;
* 3. If doing a FreezePanes,                                     *;
*    it is necessary to first move the mouse to Row 1 Column 1.  *;
******************************************************************;

%macro XLFocus(WorkSheet=,Row=1,Column=1);

%XLSelect(WorkSheet=&WorkSheet,Row=&Row,Column=&Column);

%mend  XLFocus;