
******************************************************************;
* Module: XLFont.sas                                             *;
* Type: SAS macro                                                *;
* Function: Control the font in Excel worksheet cells            *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;
* NOTE: FontStyle options are Regular (default),                 *;
*       Bold, Italic, and Bold Italic.                           *;
******************************************************************;

%macro XLFont(FontName=,
              FontStyle=,
              FontSizePts=,
              FontColorNumber0To56=);

%let ForFontProperties =
     %str("&FontName");

%if %length(&FontStyle&FontSizePts&FontColorNumber0to56) ne 0
%then
%let ForFontProperties =
     &ForFontProperties%str(,"&FontStyle");

%if %length(&FontSizePts&FontColorNumber0to56) ne 0
%then
%let ForFontProperties =
     &ForFontProperties%str(,&FontSizePts);

%if %length(&FontColorNumber0to56) ne 0
%then
%let ForFontProperties =
     &ForFontProperties%str(,,,,,,,&FontColorNumber0to56);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[font.properties(&ForFontProperties)]%'));
run;

%mend  XLFont;