
******************************************************************;
* Module: XLFreezePanes.sas                                      *;
* Type: SAS macro                                                *;
* Function: Freeze panes in an Excel Worksheet                   *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************; 
* NOTE: If RightMostFrozenColumn is 0, only rows    are frozen.  *;
*       If BottomFrozenRow       is 0, only columns are frozen.  *;
******************************************************************;

%macro XLFreezePanes(BottomFrozenRow=,
                     RightmostFrozenColumn=);

data _null_;
file &DDEfileref;
put %unquote(%str(
     %'[freeze.panes(true,&RightmostFrozenColumn,&BottomFrozenRow)]%'));
run;

%mend XLFreezePanes;