
******************************************************************;
* Module: XLGetColumnHeaders.sas                                 *;
* Type: SAS macro                                                *;
* Function: Create file of worksheet column headers              *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLGetColumnHeaders(WorkSheet=,
                          MacVarNameForLastColumnNumber=,
                          out=work.ColumnHeaders);

%XLFileNameForOneRow(WorkSheet=&WorkSheet,Row=1);

%global &MacVarNameForLastColumnNumber;
data &out(keep=ColumnHeader ColumnNumber);
length ColumnNumber 3;
retain ColumnNumber 0;
informat Column1-Column256 $50.;
infile Row dlm='09'X notab dsd missover;
%do i = 1 %to 256;
input Column&i :$50. @;
if Column&i eq ' ' then goto NoMoreColumns;
ColumnHeader = Column&i;
ColumnNumber = ColumnNumber + 1;
output;
%end;
NoMoreColumns:
call symput("&MacVarNameForLastColumnNumber",trim(left(ColumnNumber)));
stop;
run;

filename Row clear;

%mend  XLGetColumnHeaders;