
******************************************************************;
* Module: XLGetLastRow.sas                                       *;
* Type: SAS macro                                                *;
* Function: Determine last row number for a worksheet            *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLGetLastRow(WorkSheet=,
                    MacVarForLastRowNumber=);

%XLFileNameForOneColumn(WorkSheet=&WorkSheet,Column=1);

%global &MacVarForLastRowNumber;
data _null_;
length FirstCharInColumnCell $ 1;
infile Column truncover end=LastObs;
input  FirstCharInColumnCell;
if LastObs;
call symput("&MacVarForLastRowNumber",trim(left(_N_)));
run;

filename Column clear;
 
%mend  XLGetLastRow;