
******************************************************************;
* Module: XLMakeColorChart.sas                                   *;
* Type: SAS macro                                                *;
* Function:                                                      *;
* Make a color chart, using the default palette.                 *;
* Taking the defaults of the macro,                              *;
* rows 1 and 2 are left empty,                                   *;
* for possible use for title and subtitle text.                  *;
* There are 56 Excel colors.                                     *;
* The defaults of the macro                                      *;
* apply them to 7 consecutive rows and 8 consecutive columns,    *;
* starting at the left top (but Row 3, as noted),                *;
* and sweeping to the right and then down,                       *;
* row to row.                                                    *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLMakeColorChart(WorkSheet=,
                        StartRow=3,EndRow=9,
                        StartColumn=1,EndColumn=8);

%let ColorNumber = 1;
%do r = &StartRow %to &EndRow;
  %do c = &StartColumn %to &EndColumn;
    %XLSelect(Row=&r,Column=&c)
    run;
    %XLBackgroundColor(Color=&ColorNumber)
	run;
    %let ColorNumber = %eval(&ColorNumber + 1);
  %end;
%end;

%mend  XLMakeColorChart;