
******************************************************************;
* Module: XLReadCharDataFromCells.sas                            *;
* Type: SAS macro                                                *;
* Function: Read character (not numeric) data from worksheet,    *;
*           cell by cell, creating SAS output data set,          *;
*           with one observation per cell                        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLReadCharDataFromCells(
             Out=,
             OutVarName=,
             MaxLength=,
			 CellFileRefPrefix=Cell,
             FirstCell=,LastCell=);

data &Out;
%do CellNumber = &FirstCell %to &LastCell %by 1;
infile &CellFileRefPrefix&CellNumber dlm='09'X;
* notab dsd missover truncover;                     
input &OutVarName :$&MaxLength..;
output;
%end;
run;

%mend  XLReadCharDataFromCells;