
******************************************************************;
* Module: XLReplaceCellContents.sas                              *;
* Type: SAS macro                                                *;
* Function: Change cell contents in Excel worksheet              *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLReplaceCellContents(Find=,Replace=,
                             MatchEntireCellContents=Y,
                             MatchCase=N,
                             Row=,ToRow=,Column=,ToColumn=);

%if %upcase(&MatchEntireCellContents) eq Y
%then %let LookAt = 1;
%else %let LookAt = 2;

%if %upcase(&MatchCase) eq Y
%then %let TrueOrFalse = TRUE;
%else %let TrueOrFalse = FALSE;

data _null_;
file &DDEfileref;
put %unquote(%str(
    %'[formula.replace("&Find","&Replace",&LookAt,,FALSE,&TrueOrFalse)]%'));
run;

%mend XLReplaceCellContents;