
******************************************************************;
* Module: XLRowHeight.sas                                        *;
* Type: SAS macro                                                *;
* Function: Adjust height of row(s) in Excel worksheet           *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLRowHeight(WorkSheet=,Row=,ToRow=,HeightPts=,Action=);

%XLSelect(WorkSheet=&WorkSheet,Row=&Row,ToRow=&ToRow);

%let Use_Type_Num = N;
%if %length(&Action) ne 0 %then %do;
  %let Action = %upcase(&Action);
  %let Use_Type_Num = Y;
  %if &Action eq HIDE
  %then %let Type_Num = 1;
  %else
  %if &Action eq UNHIDE
  %then %let Type_Num = 2;
  %else
  %if &Action eq AUTOFIT
  %then %let Type_Num = 3;
  %else %let Use_Type_Num = N;
%end;

data _null_;
file &DDEfileref;
%if &Use_Type_Num eq Y
%then %do;
put %unquote(%str(%'[row.height(&HeightPts,,,&Type_Num)]%'));
%end;
%else %do;
put %unquote(%str(%'[row.height(&HeightPts)]%'));
%end;
run;

%mend XLRowHeight;
