
******************************************************************;
* Module: XLSortCellData.sas                                       *;
* Type: SAS macro                                                *;
* Function: Sort Excel worksheet with a column header row        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLSortCellData(Key1=,Sequence1=Ascending,
                      Key2=,Sequence2=Ascending,
                      Key3=,Sequence3=Ascending);

%XLSelectAllCells;

%do i = 1 %to 3;
  %if %upcase(&&Sequence&i) eq ASCENDING
  %then %let Order&i = 1;
  %else
  %if %upcase(&&Sequence&i) eq DESCENDING
  %then %let Order&i = 2;
%end;

data _null_;
file &DDEfileref;
put %unquote(%str
(%'[sort(1,"&Key1",&Order1,"&Key2",&Order2,"&Key3",&Order3,1,1,0)]%'));
* COMMENT: This assumes that there IS a column header row,
           and that sort should NOT be Case-Sensitive. *;
run;

%mend  XLSortCellData;