
******************************************************************;
* Module: XLStart.sas                                            *;
* Type: SAS macro                                                *;
* Function: Start Excel                                          *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLStart
       (ExcelPgm=C:\Program Files\Microsoft Office\Office10\EXCEL.exe,
        SecondsToWaitForStart=3);

* Depending on your operating system or Excel version,
  ExcelPgm might be
  C:\Program Files\Microsoft Office\Office\EXCEL.exe
  which is the default for this XLStart macro *;

options noxwait noxsync;

x %unquote(%str(%'"&ExcelPgm"%')); 

data _null_;
x=sleep(&SecondsToWaitForStart); * wait for EXCEL to start *;
run;

%mend  XLStart;