
******************************************************************;
* Module: XLWriteCharDataToCells.sas                             *;
* Type: SAS macro                                                *;
* Function: Write character (not numeric) data into worksheet,   *;
*           cell by cell, from SAS input data set,               *;
*           with one observation per cell                        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLWriteCharDataToCells(
  Data=,
  InVarName=,
  Length=,
  CellFileRefPrefix=XL,
  FirstCell=,LastCell=);

data _null_;
set &Data;
%do CellNumber = &FirstCell %to &LastCell %by 1;
if _N_ eq &CellNumber then do;
  file &CellFileRefPrefix&CellNumber notab;                   
  put &InVarName $&Length..;
end;
%end;
run;

%mend  XLWriteCharDataToCells;