
* UseCustomPreRecordedPivotTableMacro.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Specifying the location of the Excel executable *;
%XLStart(ExcelPgm=C:\Program Files\Microsoft Office\Office10\EXCEL.exe);

%XLDDEcmdsFileName;

* open the workbook that contains the macro(s) *;
%XLOpen(WorkBook=&FolderForXLSfiles.\PivotTableMacroForSASHELPdotCLASSweightVar.xls);

* open the workbook to be processed with the macro(s) *;
%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* run the macro *;
* The DDE Pivot function refused to work for this situation.
  that's why I use the pre-recorded macro instead. *;
%XLRunMacro(WorkBook=PivotTableMacroForSASHELPdotCLASSweightVar.xls,
            XLMacro=Macro1);

%XLDeleteWorkSheet(WorkSheet=CLASS);

* save the result with a new XLS file name *;
%XLSaveAs(WorkBook=&FolderForXLSoutput.\sasHelpClassWeightVarInPivotTable.xls);

* Close that WorkBook *;
%XLClose;

* Close the Excel Macro WorkBook *;
%XLClose;

* Exit *;
%XLExit;
