
* AlignmentOfCellContents.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output is created *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Create a spreadsheet to work with *;
* This PROC EXPORT code was generated with the Export Wizard.
  On your system, the appropriate DBMS= value may be different. *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderForXLSfiles.\TempClass.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

%XLStart;

%XLDDEcmdsFileName;

%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* Make a row higher than its current default size *;
%XLRowHeight(Row=19,HeightPts=36);

* Make a column wider than its current default size *;
%XLColumnWidth(Column=1,WidthPts=5);

* Now select the cell with these non-default dimensions *;
%XLSelect(Row=19,Column=1);

* Default is WrapText=No. Let's say Yes. *;
%XLAlignment(WrapText=Yes);

* Vertical Alignment options are Top, Center, Bottom,
  and, IF WrapText=Yes, Justify.
  Let's see what that does. *;
%XLAlignment(WrapText=Yes,
             Vertical=Justify);

* Let's experiment with Orientation--try Upward *; 
%XLAlignment(WrapText=Yes,
             Orientation=Upward);
* Other Orientation options are
  Downward, Horizontal, and Vertical *;  

* Set column width back its default *;
%XLColumnWidth(Column=1,WidthPts=8.43);

* Re-select the cell of interest *;
%XLSelect(Row=19,Column=1);

* Horizontal Alignment options are General, Top, Center, Bottom,
  and, IF WrapText=Yes, Justify.
  Let's see what that does,
  when Orientation is Upward. *;
%XLAlignment(Horizontal=Justify,
             WrapText=Yes,
             Orientation=Upward);

* Return to default alignment *;
%XLAlignment;

* Set row height back its default *;
%XLRowHeight(Row=19,HeightPts=12.75);

* Exit without saving *;
%XLExit;
