
* CopyingOrMovingColumnsRowsCells.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output is created *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Create a spreadsheet to work with *;
* This PROC EXPORT code was generated with the Export Wizard.
  On your system, the appropriate DBMS= value may be different. *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderForXLSfiles.\TempClass.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

%XLStart;

%XLDDEcmdsFileName;

%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* Add a worksheet *;
* Since the only worksheet present is called CLASS,
  Excel will add "Sheet1" *;
%XLInsertWorkSheet;

* Reactivate the CLASS WorkSheet.
  The creation of Sheet1 moved Excel's attention to there. *;
%XLActivateWorkSheet(WorkSheet=CLASS);

* Copy part of Column 3 to empty Column 7.
  Leave the Column Heading behind. *;
%XLCopyCells(FromCellRectangle=%str(R2C3:R20C3),
             ToCellRectangle  =%str(R2C7:R20C7));

* Copy the Ages Column from CLASS to Column 2 of new Sheet1 *;
%XLCopyCells(FromCellRectangle=CLASS!R1C3:R20C3,ToCellRectangle=Sheet1!R1C2:R20C2);
* This does not make Sheet1 the Active Sheet.
  You will have to manually tab to Sheet1
  if you wish to visually verify the result. *;

* Add another worksheet *;
* Excel will add it as "Sheet2" *;
%XLInsertWorkSheet;

* Reactivate the CLASS WorkSheet.
  The creation of Sheet2 moved Excel's attention to there. *;
%XLActivateWorkSheet(WorkSheet=CLASS);

* Move part of Column 7 to Column 8 *;
%XLMoveCells(FromCellRectangle=%str(R2C7:R10C7),
             ToCellRectangle  =%str(R2C8:R10C8));

* Move the Sex Column from CLASS to Column 3 of new Sheet2 *;
%XLMoveCells(FromCellRectangle=CLASS!R1C2:R20C2,ToCellRectangle=Sheet2!R1C3:R20C3);

* NOTE: The Cut (Move) leaves an empty Column 2 on the CLASS WorkSheet *;
*       Go back to the CLASS WorkSheet to delete the empty column *;
%XLActivateWorkSheet(WorkSheet=CLASS);
%XLDeleteColumn(Column=2);

* Exit without saving *;
%XLExit;
