
* DeletingOnlySomeCellsInRowsOrColumns.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output is created *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Create a spreadsheet to work with *;
* This PROC EXPORT code was generated with the Export Wizard.
  On your system, the appropriate DBMS= value may be different. *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderForXLSfiles.\TempClass.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

%XLStart;

%XLDDEcmdsFileName;

%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* NOTE: Excel permits deletion of
        only some cells in a row,
        or
        only some cells in a column.
        I do not understand the benefit of doing this,
        but it is shown here for completeness. *;

* Delete cells in Row 3 in Columns 2 through 4 *;
%XLDeleteSomeRowCells(Row=3,LeftColumn=2,RightColumn=4);

* Restore them *;
%XLUndo;

* Delete cells in Column 3 in Rows 3 through 4 *;
%XLDeleteSomeColumnCells(Column=3,TopRow=2,BottomRow=4);

* Restore them *;
%XLUndo;

* Exit without saving *;
%XLExit;
