
* FindingAndReplacingCellContents.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output is created *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Create a spreadsheet to work with *;
* This PROC EXPORT code was generated with the Export Wizard.
  On your system, the appropriate DBMS= value may be different. *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderForXLSfiles.\TempClass.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

%XLStart;

%XLDDEcmdsFileName;

%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* Select the Sex Column *;
%XLSelectColumns(WorkSheet=Class,Column=2);

%XLReplaceCellContents(Find=M,Replace=Male);

%XLReplaceCellContents(Find=F,Replace=Female);

* Other examples show the ability to replace only partial contents
of one or more cells, and to disregard upper case vs. lower case
when doing the Find to Replace cell contents. *;

%XLSelect(WorkSheet=Class,Row=5,Column=3,ToRow=7,ToColumn=5);

* Replace with a Z only those characters in any (selected) cell which are 1 *;
%XLReplaceCellContents(Find=1,Replace=Z,MatchEntireCellContents=N);

* Replace with a 1 only those characters in any (selected) cell which are z or Z *;
%XLReplaceCellContents(Find=z,Replace=1,MatchEntireCellContents=N,
                       MatchCase=N);

* Exit without saving *;
%XLExit;
