
* IndentationBySelectiveUnindentAfterLoadOfPreFormattedColumn.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output is created *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

%XLStart;

%XLDDEcmdsFileName;

* A pre-built worksheet will be used. *;
%XLOpen(WorkBook=&FolderForXLSfiles.\ClassDataWithExtraWideColumn1PreIndented.xls);

* The silly indentation criterion adopted for this demo
  is that all Names that start with "J" should be indented. *;
* The names were loaded into the worksheet
  where their column had been defined, before loading,
  as aligned left with an indent of 2. *;
* Let's find the J names.
  We could read in the column from the worksheet.
  For simplicity, we will read the dataset used to load it. *;

data _null_;
set sashelp.class end=LastOne;
if Name =: 'J'
then call symput('IndentYorN'||trim(left(_N_)),'Y');
else call symput('IndentYorN'||trim(left(_N_)),'N');
call symput('RowCount',_N_);
run;

* Check what happened. For demo only. Not needed. *;
* The SAS log will show use these symbolic variables,
  and any others created during the current SAS session. *;
%put _user_;

%XLSelectivelyRemoveIndent(FlagVar=IndentYorN,
                           StartRow=2,
                           NumberOfRows=&RowCount);

%XLFocus;

* NOTE: You could adapt the logic above,
        by use of a function other than %XLShiftLeft,
        to ANY selective formatting by cell within column,
        after predecessor processing that tested cell contents
        for qualifiers. *;

* Exit without saving *;
%XLExit;
