
* InsertingAndDeletingWorkSheets.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output is created *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Create a spreadsheet to work with *;
* This PROC EXPORT code was generated with the Export Wizard.
  On your system, the appropriate DBMS= value may be different. *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderForXLSfiles.\TempClass.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

%XLStart;

%XLDDEcmdsFileName;

%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* Insert a new blank worksheet *;
* The name will be the first unused name
  in the series Sheet1, Sheet2, etc. *;
* In this case, only existing sheet is CLASS *;
* New sheet will be Sheet1 *;
%XLInsertWorkSheet;

* Delete the new worksheet *;
* NOTE: It is impossible to undo a WorkSheet deletion *;
%XLDeleteWorkSheet(WorkSheet=Sheet1);

* Insert a new blank worksheet *;
* Since Sheet1 was previously used,
  even though it has been deleted,
  new sheet will be Sheet2 *;
%XLInsertWorkSheet;

* Delete the second new worksheet *;
%XLDeleteWorkSheet(WorkSheet=Sheet2);

* Exit without saving it *;
%XLExit;
