
* ProcImportAndProcExport.sas *;

* NOTE: This sample program has NOT been updated to reflect added possibilities
        now available in SAS 9.1.3 *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse. *;

* This folder can, of course, be named anything you prefer. *;
%let FolderforXLSoutput = C:\BesslerSASandExcel\output;

* Get a spreadsheet to work with *;
* PROC EXPORT code as would be generated by the SAS Export Wizard *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderforXLSoutput.\ClassExported.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

* Bring that spreadsheet data back into the work data library *;
* only as an exercise. *;
* PROC IMPORT code as would be generated by the SAS Import Wizard *;
PROC IMPORT OUT=WORK.SashelpClassImportedFromExcel 
            DATAFILE="&FolderforXLSoutput.\ClassExported.xls" 
            DBMS=EXCEL2000 REPLACE;
     GETNAMES=YES;
RUN;

* Compare the SAS dataset that was the source of the spreadsheet
  with the SAS dataset reverse-created from the spreadsheet. *; 
options nocenter pageno=1;
proc compare base=SASHELP.CLASS
             compare=WORK.SashelpClassImportedFromExcel
             listall;
run;

* It is also possible to import any rectangular subset of a specific worksheet
  from the workbook *;
PROC IMPORT OUT=WORK.PartialImportFromExcel 
            DATAFILE="&FolderforXLSoutput.\ClassExported.xls" 
            DBMS=EXCEL2000 REPLACE;
     RANGE="CLASS$A7:B13";
     GETNAMES=NO;
RUN;

options nocenter pageno=1;
title 'PROC PRINT of SAS dataset created with partial IMPORT';
title2 'Note the variable names assigned';
proc print data=WORK.PartialImportFromExcel; run;

* Re-do the partial import with GETNAMES=YES *;
PROC IMPORT OUT=WORK.PartialImportWithGETNAMESoption 
            DATAFILE="&FolderforXLSoutput.\ClassExported.xls" 
            DBMS=EXCEL2000 REPLACE;
     RANGE="CLASS$A7:B13";
     GETNAMES=YES;
RUN;

options nocenter pageno=1;
title 'PROC PRINT of SAS dataset created with partial IMPORT and GETNAMES';
title2 'Note the INVALID variable names assigned';
title3 'It uses the column contents of the preceding row as the names';
proc print data=WORK.PartialImportWithGETNAMESoption; run;
