
* ReadDataFromSpecificColumnsForARangeOfRows.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output is created *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Create a spreadsheet to work with *;
* This PROC EXPORT code was generated with the Export Wizard.
  On your system, the appropriate DBMS= value may be different. *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderForXLSfiles.\TempClass.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

%XLStart;

%XLDDEcmdsFileName;

%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* Let EndRow default to 65536.
  SAS will stop reading the spreadsheet at the last row,
  when it uses the FILENAME statements.
  It will not create empty observations after end of available data. *;

%XLFileNameForMultipleColumns(
                 WorkSheet=CLASS,
                 StartRow=2, /* skip the column labels */
                 StartColumn=1,EndColumn=2); /* only first two columns */

* We are reading only selected columns.
  We can read one at a time, and then merge them.
  If you want ALL of the columns, just use, maybe, PROC IMPORT. *;

data work.Name;
infile Col1;
input Name :$7.;
row = _N_;
run;

data work.Sex;
infile Col2;
input Sex $1.;
row = _N_;
run;

data work.NameAndSex(drop=Row);
merge work.Name work.Sex;
by row;
run;

options nocenter;
title;
proc print data=work.NameAndSex;run;

* Exit without saving *;
%XLExit;
