
* SizingOrHidingOrUnhidingRowsOrColumns.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output is created *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Create a spreadsheet to work with *;
* This PROC EXPORT code was generated with the Export Wizard.
  On your system, the appropriate DBMS= value may be different. *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderForXLSfiles.\TempClass.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

%XLStart;

%XLDDEcmdsFileName;

%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* Increase the height of Rows 1 through 2 to 72 points *;
%XLRowHeight(Row=1,ToRow=2,HeightPts=72);

* AutoFit ALL of the rows *;
%XLRowHeight(Row=1,ToRow=65536,Action=AutoFit);

* Hide Rows 2 through 3 *;
%XLRowHeight(Row=2,ToRow=3,Action=Hide);

* UnHide them 3 *;
%XLRowHeight(Row=2,ToRow=3,Action=UnHide);

* Increase the width of Columns 1 through 4 to 36 points *; 
%XLColumnWidth(Column=1,ToColumn=4,WidthPts=36);

* AutoFit ALL of the columns *;
%XLColumnWidth(Column=1,ToColumn=256,Action=AutoFit);

* Hide Columns 4 through 5 *;
%XLColumnWidth(Column=4,ToColumn=5,Action=Hide);

* Unhide only one of the two hidden columns *;
%XLColumnWidth(Column=4,ToColumn=4,Action=UnHide);

* Exit without saving *;
%XLExit;
