
* 00_MiscellaneousFunctions.sas *;

* NOTE:
  To use this sample code,
  you can choose to highlight specific code blocks and submit them individually.
  This sample program need not be submitted and run en masse.
  Once Excel has been started and a spreadsheet has been opened,
  you can toggle over to the Excel window after each SAS code execution step
  to inspect the results. *;

* These folders can, of course, be named anything you prefer,
  but the expected macros, input data, or output data must be stored there. *;
%let FolderForMacros    = C:\BesslerSASandExcel\macros;
%let FolderForXLSfiles  = C:\BesslerSASandExcel\spreadsheets;
%let FolderForXLSoutput = C:\BesslerSASandExcel\output; * no output from this example *;

* tell SAS where the macros are stored *;
filename SASandXL "&FolderForMacros";
* search for macros in the order listed *;
options sasautos=(SASandXL sasautos);

options mprint; * list the resolved translation of any macros
                  in the SAS log *;

* Create a spreadsheet to work with *;
* This PROC EXPORT code was generated with the Export Wizard.
  On your system, the appropriate DBMS= value may be different. *;
PROC EXPORT DATA=SASHELP.CLASS 
            OUTFILE="&FolderForXLSfiles.\TempClass.xls" 
            DBMS=EXCEL2000 REPLACE;
RUN;

%XLStart;

%XLDDEcmdsFileName;

%XLOpen(WorkBook=&FolderForXLSfiles.\TempClass.xls);

* Zoom value can range from 10 to 400 (10% to 400% of normal) *;
* Practical range is probably about 75 to 150                 *;
* Shrinking a spreadsheet with Zoom is a quick way to get it
  to fit on one page width,
  without having to reduce the font size
  and then Autofit the columns *;
* Put a message in lower left corner of the Excel window *;
data _null_;
file &DDEfileref;
put '[zoom(80)]';
put '[message(true,"This sheet is reduced to 80% of normal size")]';
run;

* Restore the normal size *;
* Remove custom message from lower left corner of Excel window *;
* It will revert to "Ready"                                    *;
data _null_;
file &DDEfileref;
put '[zoom(100)]';
put '[message(false)]';
run;

* Exit without saving *;
%XLExit;